org.eclipse.mat.ui.internal.views

## Class SnapshotHistoryView

- java.lang.Object
- - ViewPart
  - - org.eclipse.mat.ui.internal.views.SnapshotHistoryView

All Implemented Interfaces:
  SnapshotHistoryService.IChangeListener

    public class SnapshotHistoryView
    extends ViewPart
    implements SnapshotHistoryService.IChangeListener

### Constructor Summary

Constructors
Constructor and Description
`SnapshotHistoryView()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`Object` `getAdapter(Class required)`
`void` `onFileHistoryChange(List<SnapshotHistoryService.Entry> visited)`
`void` `setFocus()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotHistoryView

    public SnapshotHistoryView()

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

#### dispose

    public void dispose()

#### setFocus

    public void setFocus()

#### getAdapter

    public Object getAdapter(Class required)

#### onFileHistoryChange

    public void onFileHistoryChange(List<SnapshotHistoryService.Entry> visited)

Specified by:
  `onFileHistoryChange` in interface `SnapshotHistoryService.IChangeListener`